/* eslint-disable */
/* NO I18N */
import { executeLintAnalysis } from "../lint/eslint/runEslint";
import { executeSonarAnalysis } from "../lint/sonar-dependencies/runSonar";
import { cliArgsToObject } from "../utils/cliArgsToObject";
async function startLinterAnalysis() {
  const [, , action, ...option] = process.argv;
  switch (action) {
    case "lint": {
      const $cliObjects = cliArgsToObject(option)
      await executeLintAnalysis($cliObjects).finally(() => {
        executeSonarAnalysis($cliObjects);
      });
      break;
    }

    default: {
      break;
    }
  }
}

startLinterAnalysis();
